Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036362
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajorhave not tried2017-06-27 14:122018-05-11 14:07
ReportervmromanosView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision3aec9468515a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036362: API Change request

DescriptionRelated to 0036280

Several callouts and other stuff related to these callouts (XSQL files and AD records) will be removed as they are not used by any internal or external (3rd party modules) process.

The risk is very low because we have checked they are not referenced by any other class (Core and modules published into the forge). In fact most of them were not even declared in the AD.
Steps To Reproducehttps://ci.openbravo.com//job/try-api/5066/ [^]


 [checkAPI] 10776 ERROR - +++++++++++++++++++++++++++++++++++++++++++++++++++
 [checkAPI] 10780 ERROR - Errors in API data validation
 [checkAPI] 10784 ERROR - +++++++++++++++++++++++++++++++++++++++++++++++++++
 [checkAPI] 10788 ERROR - Removed row from table AD_CALLOUT - ID: 6C7A1DC738044D2880CF60856508FC81
 [checkAPI] 10792 ERROR - Removed row from table AD_CALLOUT - ID: 8D5A298D3BEF4E14BB9B9C2A7D0CFA18


org.openbravo.erpCommon.ad_callouts:
Missing
class org.openbravo.erpCommon.ad_callouts.SE_Calendar_For_Org: missing in /srv/ci/workspace/try-full-pgsql/SANDBOX/api-checks/output/java
class org.openbravo.erpCommon.ad_callouts.SE_Years_For_Calendar: missing in /srv/ci/workspace/try-full-pgsql/SANDBOX/api-checks/output/java
class org.openbravo.erpCommon.ad_callouts.SL_InOutLine_Locator: missing in /srv/ci/workspace/try-full-pgsql/SANDBOX/api-checks/output/java
class org.openbravo.erpCommon.ad_callouts.SL_Invoice_Tax: missing in /srv/ci/workspace/try-full-pgsql/SANDBOX/api-checks/output/java
class org.openbravo.erpCommon.ad_callouts.SL_MovementAll_Locator: missing in /srv/ci/workspace/try-full-pgsql/SANDBOX/api-checks/output/java
class org.openbravo.erpCommon.ad_callouts.SL_Payment_Amounts: missing in /srv/ci/workspace/try-full-pgsql/SANDBOX/api-checks/output/java
class org.openbravo.erpCommon.ad_callouts.SL_Payment_DocType: missing in /srv/ci/workspace/try-full-pgsql/SANDBOX/api-checks/output/java
class org.openbravo.erpCommon.ad_callouts.SL_Payment_No_Verify: missing in /srv/ci/workspace/try-full-pgsql/SANDBOX/api-checks/output/java
class org.openbravo.erpCommon.ad_callouts.SL_WorkRequirement_Sequence: missing in /srv/ci/workspace/try-full-pgsql/SANDBOX/api-checks/output/java
TagsApproved
Attached Filesgz file icon java.japi.gz [^] (933,031 bytes) 2017-06-28 08:28
diff file icon 36362.diff [^] (2,927 bytes) 2017-06-28 08:32 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0036280 closedAtulOpenbravo Several unused + probably unusable callouts exists and are candidates to be deleted 

-  Notes
(0104474)
hgbot (developer)
2018-05-11 13:58

Repository: erp/devel/api-checks
Changeset: 3aec9468515a8265dce7b7d5e03ac5ddbab136ed
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri May 11 13:57:15 2018 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/3aec9468515a8265dce7b7d5e03ac5ddbab136ed [^]

Fixes issue 36362: API change for issue 36280

---
M java/reference/java.japi.gz
M model/src-db/database/sourcedata/AD_CALLOUT.xml
---
(0104479)
aferraz (developer)
2018-05-11 13:59

Reviewed
(0104481)
aferraz (developer)
2018-05-11 14:07

Removed:

Row from table AD_CALLOUT - ID: 6C7A1DC738044D2880CF60856508FC81
Row from table AD_CALLOUT - ID: 8D5A298D3BEF4E14BB9B9C2A7D0CFA18
src/org/openbravo/erpCommon/ad_callouts/SE_Calendar_For_Org.java
src/org/openbravo/erpCommon/ad_callouts/SE_Years_For_Calendar.java
src/org/openbravo/erpCommon/ad_callouts/SL_InOutLine_Locator.java
src/org/openbravo/erpCommon/ad_callouts/SL_InOutLine_Locator_data.xsql
src/org/openbravo/erpCommon/ad_callouts/SL_Invoice_Tax.java
src/org/openbravo/erpCommon/ad_callouts/SL_MovementAll_Locator.java
src/org/openbravo/erpCommon/ad_callouts/SL_Payment_Amounts.java
src/org/openbravo/erpCommon/ad_callouts/SL_Payment_Amounts_data.xsql
src/org/openbravo/erpCommon/ad_callouts/SL_Payment_DocType.java
src/org/openbravo/erpCommon/ad_callouts/SL_Payment_DocType_data.xsql
src/org/openbravo/erpCommon/ad_callouts/SL_Payment_No_Verify.java
src/org/openbravo/erpCommon/ad_callouts/SL_WorkRequirement_Sequence.java
src/org/openbravo/erpCommon/ad_callouts/SL_WorkRequirement_Sequence.xsql

- Issue History
Date Modified Username Field Change
2017-06-27 14:12 vmromanos New Issue
2017-06-27 14:12 vmromanos Assigned To => dmitry_mezentsev
2017-06-27 14:12 vmromanos Modules => Core
2017-06-27 14:12 vmromanos Triggers an Emergency Pack => No
2017-06-27 14:12 vmromanos Relationship added blocks 0036280
2017-06-27 15:59 dmitry_mezentsev Tag Attached: Approved
2017-06-27 15:59 dmitry_mezentsev Assigned To dmitry_mezentsev => vmromanos
2017-06-28 08:28 vmromanos File Added: java.japi.gz
2017-06-28 08:32 vmromanos File Added: 36362.diff
2017-06-28 08:33 vmromanos Status new => scheduled
2017-11-24 13:55 vmromanos Issue cloned 0037383
2018-04-25 10:06 dmiguelez Assigned To vmromanos => AtulOpenbravo
2018-05-11 13:58 hgbot Checkin
2018-05-11 13:58 hgbot Note Added: 0104474
2018-05-11 13:58 hgbot Status scheduled => resolved
2018-05-11 13:58 hgbot Resolution open => fixed
2018-05-11 13:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/api-checks/rev/3aec9468515a8265dce7b7d5e03ac5ddbab136ed [^]
2018-05-11 13:59 aferraz Review Assigned To => aferraz
2018-05-11 13:59 aferraz Note Added: 0104479
2018-05-11 13:59 aferraz Status resolved => closed
2018-05-11 13:59 aferraz Fixed in Version => 3.0PR18Q3
2018-05-11 14:07 aferraz Note Added: 0104481


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker